# $Id: smeserver-guardiand.spec,v 1.2 2008/04/02 15:03:57 slords Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: guardian for SME server
%define name smeserver-guardiand
Name: %{name}
%define version 1.7
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7, smeserver-snort > 2.4
AutoReqProv: no

%changelog
* Sun Jan  21 2007 Michel Van hees <michel@vanhees.cc>
* Better service integration

* Wed Aug  16 2006 Michel Van hees <michel@vanhees.cc>
- Bug correction in run script

* Sat Feb  14 2006 Michel Van hees <mvanhees@vanhees.homeip.net>
- initial release

%description
SME server - guardian for snort

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun
/sbin/e-smith/service guardiand stop 1>/dev/null 2>/dev/null

%post
chown -R smelog:smelog /var/log/guardiand
/sbin/e-smith/db configuration set guardiand service status enabled
/sbin/e-smith/expand-template /etc/guardian.conf

# We should restart it to activate the new binary if it was upgraded
/sbin/e-smith/service guardiand start 1>/dev/null 2>/dev/null

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
